> ## Documentation Index
> Fetch the complete documentation index at: https://docs.annature.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a verification token

<Info>
  Verification endpoints use the `/v2/` namespace. `/v1/` endpoints are deprecated and will be removed without notice to new integrators.
</Info>

Generates a new verification token that can be used to access the verification in the context of a specific individual.

This endpoint is typically used in workflows where the application needs to manage delivery of the verification link manually — especially for muted verifications.

A token can only be created while the verification’s status is `sent`. Once the verification has been completed or cancelled, this endpoint will return an error.

## Parameters

<ParamField path="id" type="string">
  The unique identifier of the verification.
</ParamField>

<ParamField path="token_duration" type="optional">
  The number of days the generated token should remain valid. Must be between 1 and 90 days. Default is 7 days.
</ParamField>

<RequestExample>
  ```bash Endpoint theme={null}
  GET /v2/verifications/:id/token
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "endpoint": "https://annature..",
    "expiration": "2026-08-24T00:00:00Z"
  }
  ```
</ResponseExample>
